Files
haikuports/app-arch/gzip/patches/gzip-1.8.patchset
fbrosson c58894eb83 gzip: add recipe for version 1.8.
* Add recipe for 1.8 and use a mirror redirector for SOURCE_URI.
* Sort cmd:* in PROVIDES and BUILD_PREREQUIRES and add cmd:less to
  the latter since less(1) is required for "make check".
* Add TEST() with "make check". Test results: PASS = TOTAL = 18.
* Drop removal of lib/charset.alias as it has disappeared.
2016-04-27 14:59:00 +00:00

49 lines
1.2 KiB
Plaintext

From 39ee8c0d94879bde10822f2b95caedde3d6842fb Mon Sep 17 00:00:00 2001
From: Timothy Gu <timothygu99@gmail.com>
Date: Tue, 16 Dec 2014 21:50:24 +0000
Subject: [PATCH] gzexe: Fallback on file copying for backup
BFS doesn't support hard links.
Signed-off-by: Timothy Gu <timothygu99@gmail.com>
diff --git a/gzexe.in b/gzexe.in
index e458563..45e1900 100644
--- a/gzexe.in
+++ b/gzexe.in
@@ -212,7 +212,7 @@ EOF
echo >&2 "$0: $tmp: cannot chmod"
continue
}
- ln -f "$file" "$file~" || {
+ ln -f "$file" "$file~" || cp -f "$file" "${file}~" || {
res=$?
echo >&2 "$0: cannot backup $i as $i~"
continue
--
1.8.3.4
From 67f0045113c5be938d6912969f84ab2b541a9807 Mon Sep 17 00:00:00 2001
From: fbrosson <fbrosson@localhost>
Date: Tue, 26 Apr 2016 21:03:14 +0000
Subject: Do not try to create hard links.
diff --git a/Makefile.am b/Makefile.am
index 738c63c..665974f 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -145,7 +145,7 @@ install-exec-hook remove-installed-links:
rm -f "$$dest" && \
case $@ in \
install-exec-hook) \
- ln "$$source" "$$dest" || $(LN_S) "$$source" "$$dest";; \
+ $(LN_S) "$$source" "$$dest";; \
esac \
) || exit; \
done; \
--
2.7.0